<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="dialup" id="connections-by-connection-time">

 <lire:title>Connections By Connection Time Dialup Report</lire:title>
 <lire:description>
  <para>This report shows the number of connections aggregated
        in configurable connection time range.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="size" type="duration" default="1m">
   <lire:description>
    <para>This parameter controls the size of the connection time 
          ranges over which the connections are aggregated.
    </para>
   </lire:description>
  </lire:param>
</lire:param-spec>

 <lire:display-spec>
  <lire:title>Connections By Connection Time</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:rangegroup field="connection_time" range-size="$size"
   size-scale="5" label="Connection Time">
   <lire:count name="connections_total" label="Connections"/>
   <lire:count name="connections_ratio" ratio="table" label="% Total"/>
  </lire:rangegroup>
 </lire:report-calc-spec>

</lire:report-spec>


